# Contributor Guidelines

## Code of Conduct

Our [Code of Conduct](CODE_OF_CONDUCT.md) means that you are responsible for
treating everyone on the project with respect and courtesy regardless of their
identity. If you are the victim of any inappropriate behavior or comments as
described in our Code of Conduct, we are here for you and will do the best to
ensure that the abuser is reprimanded appropriately, per our code.

## How can I contribute?

If you are looking to help with a code contribution, that's great!
The `standard-test-roles` project uses ansible and python scripting.
If you want to help but don't feel you can make a code contribution yet,
please write some tests for your favorite Fedora packages using `standard-test-roles`.

If you are interested in making a contribution and would like to learn more
about how `standard-test-roles` is used and the technologies that it uses,
check out the following:

* [Fedora Continuous Integration Tests](https://fedoraproject.org/wiki/CI/Tests)
* [Invoking Fedora Tests](https://fedoraproject.org/wiki/Changes/InvokingTests)
* [Ansible](http://docs.ansible.com/ansible/)
* [Ansible playbooks](http://docs.ansible.com/ansible/playbooks.html)
* [Using Multiple Dynamic Inventory Sources with Ansible](http://docs.ansible.com/ansible/latest/intro_dynamic_inventory.html#using-inventory-directories-and-multiple-inventory-sources)
* [Developing Dynamic Inventory Sources for Ansible](http://docs.ansible.com/ansible/latest/dev_guide/developing_inventory.html)

## Where can I go for help?

If you need help, here are the places where you can ask questions:

* IRC: [chat.freenode.net channel #fedora-ci](https://webchat.freenode.net/?channels=#fedora-ci).
* Mailing list: <ci@lists.fedoraproject.org> ([archive](https://lists.fedoraproject.org/admin/lists/ci.lists.fedoraproject.org/))

## Submitting changes

Open a [pagure Pull Request to `standard-test-roles`](https://pagure.io/standard-test-roles/pull-requests)
with a clear explanation of what you've done and why. (Read more about
[pagure pull requests](https://docs.pagure.org/pagure/usage/pull_requests.html).)

Please be sure to write clear log messages for your commits. One-line messages
are fine for small changes, but bigger changes should generally contain many
more details.

## Style guidelines

_TBD_
